void makeinput_ex14()
{
  RooWorkspace w("w",1) ;
  w.factory("Gaussian::sig(x[20,120],mean[91],width[5])") ;
  w.factory("Uniform::bkg(x)") ;
  w.factory("SUM::model(0.1*sig,0.9*bkg)") ;
  w::x.setBins(20) ;
  
  w::mean=93 ; RooDataHist* dh_sig_up = w::sig.generateBinned(w::x,1000) ;
  w::mean=91 ; RooDataHist* dh_sig    = w::sig.generateBinned(w::x,1000) ;
  w::mean=89 ; RooDataHist* dh_sig_dn = w::sig.generateBinned(w::x,1000) ;
  RooDataHist* dh_bkg    = w::bkg.generateBinned(w::x,10000) ;

  w::mean=91 ;
  RooDataHist* data       = w::model.generateBinned(w::x,11000) ;

  TH1D* h_sig_up = dh_sig_up->createHistogram("x") ; h_sig_up->SetName("h_sig_up") ;
  TH1D* h_sig    = dh_sig->createHistogram("x") ; h_sig->SetName("h_sig") ;
  TH1D* h_sig_dn = dh_sig_dn->createHistogram("x") ; h_sig_dn->SetName("h_sig_dn") ;
  TH1D* h_bkg    = dh_bkg->createHistogram("x") ; h_bkg->SetName("h_bkg") ;
  TH1D* h_data   = data->createHistogram("x") ; h_data->SetName("h_data") ;

  TFile f("ex14.root","RECREATE") ;
  h_sig_up->Write() ;
  h_sig->Write() ;
  h_sig_dn->Write() ;
  h_bkg->Write() ;
  h_data->Write() ;
}
