using namespace RooFit ;

void ex5()
{
  // Make an empty workspace that exports its contents to CINT
  RooWorkspace *w = new RooWorkspace("w",kTRUE) ;  

  // Construct the model ex4
  w->factory("Poisson::model(N[100],expr::Nexp('mu*S+B',mu[1,0,5],S[20],B[0,100]))") ;
  w->factory("Gaussian::subsidiary(Bnom[20],B,sigmaB[5])") ;
  w->factory("PROD::model2(model,subsidiary)") ;
 
  RooDataSet data("data","data",*w->var("N")) ;
  w->var("N")->setVal(45) ;
  data.add(*w->var("N")) ;
  
  w->pdf("model2")->fitTo(data) ;
      
}
